Subject: [CCAMP] Comments on draft-ietf-ccamp-rwa-wson-encode-13

From: "Margaria, Cyril (NSN - DE/Munich)" <[email-masked]>
Date: Tue, 13 Mar 2012 21:22:56 +0100

Hi, 

I have several question related to the WSON constraints encoding. 

Q1. Resource Block Set Field , the C bit is used to indicate the connectivity in the resource pool accessibility sub-TLV only, but the resource pool accessibility sub-TLV also has a Connectivity field that contains the same values. Is the field in the RB set redundant or does it indicate another property (it is not clear from the text).
 In addition if the C field is not needed, it would help having a more compatible General constraint Link set and WSON constraint RB set encoding, which would be useful for implementations.

Q2. Section 4.2 "Resource Block Wavelength Constraints Sub-TLV"
According to the RFC 6163 and [I-D.ietf-ccamp-rwa-info] the Electro-optical properties can be described, so a resource block may only have input or ouput wavelength. The Input Wavelength Set Field and Output Wavelength Set Field should be optional. 

Q3. Section 4.2 "Resource Block Wavelength Constraints Sub-TLV",  for Input Wavelength Set Field and Output Wavelength Set Field,  I did not find the encoding of the those fields in section 4.2, I expect them following Label Set Field encoding (section 2.2 of [I-D. ietf-ccamp-general-constraint-encode]). The field encoding should be explicitly stated in the I-D.

In addition it would be more generic (considering flexigrid labels) to indicate those fields as Input Labels Set  and Output Label Set.

This apply to the other sections. 

Q4. Section 5.1. "Resource Block Information Sub-TLV".
>From the previous mail threads I understood that there should only be one "Modulation Type List Sub-Sub-TLV" instead of "Input Modulation Type List Sub-Sub-TLV" and "Output Modulation Type List Sub-Sub-TLV". Same for FEC. 
This should be clear in the I-D.

Q5. Section 5.2.1. "Modulation Format Field".
When having one TLV for modulation format, you indicated a processing rule "no explicit output means the same as input" (for size optimization).
Having 1 bit for ingress and one for egress would remove the need for this processing rule and this would be always the minimum number of modulation.
This extra bit would simplify the processing while keeping the size optimized.

Could you comment on each of this topic, do you prefer several mail threads?

Mit freundlichen Grüßen / Best Regards
Cyril Margaria

Nokia Siemens Networks GmbH & Co. KG
NWS DWDM RD
St.Martin-Str. 76
D-81541 München
Germany
mailto:[email-masked]
Phone: +49-89-5159-16934
Fax:   +49-89-5159-44-16934
----------------------------------------------------------------
Nokia Siemens Networks GmbH & Co. KG 
Sitz der Gesellschaft: München / Registered office: Munich 
Registergericht: München / Commercial registry: Munich, HRA 88537 
WEEE-Reg.-Nr.: DE 52984304 
Persönlich haftende Gesellschafterin / General Partner: Nokia Siemens Networks Management GmbH 
Geschäftsleitung / Board of Directors: Dr. Hermann Rodler, Lydia Sommer, Olaf Horsthemke 
Vorsitzender des Aufsichtsrats / Chairman of supervisory board: Herbert Merz 
Sitz der Gesellschaft: München / Registered office: Munich 
Registergericht: München / Commercial registry: Munich, HRB 163416

---

From: Greg Bernstein <[email-masked]>
Date: Mon, 19 Mar 2012 15:10:38 -0700

See response below, unfortunately these comments came after the draft 
update publication date.  The changes required are small if the WG concurs.
Greg B.
>   In addition if the C field is not needed, it would help having a more compatible General constraint Link set and WSON constraint RB set encoding, which would be useful for implementations.

--> C bit field appears redundant, seems that is was partially removed 
from the example in the appendix. It will be returned to "Reserved" 
block and appendix examples will be updated.

> According to the RFC 6163 and [I-D.ietf-ccamp-rwa-info] the Electro-optical properties can be described, so a resource block may only have input or ouput wavelength. The Input Wavelength Set Field…

--> The encoding of section 4.2 will be enhanced to allow the input or 
output fields to be optional, unless there are WG objections.

> Q3. Section 4.2 "Resource Block Wavelength Constraints Sub-TLV",  for Input Wavelength Set Field and Output Wavelength Set Field,  I did not find the encoding of the those fields in section 4.2, I…

--> True. We will add a note in the introduction on this and to all uses 
of wavelength set fields.

> In addition it would be more generic (considering flexigrid labels) to indicate those fields as Input Labels Set  and Output Label Set.

--> We are using the general label set construct.

> This apply to the other sections.

-->We will add notes on the use of label set fields to all relevant section.

> This should be clear in the I-D.
--> Young will address this question.
> This extra bit would simplify the processing while keeping the size optimized.
--> Young will address this question.
> Nokia Siemens Networks GmbH&  Co. KG
> NWS DWDM RD
> St.Martin-Str. 76
> D-81541 München
> Germany
> Nokia Siemens Networks GmbH&  Co. KG
> _______________________________________________
> CCAMP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ccamp
>
>

-- 
===================================================
Dr Greg Bernstein, Grotto Networking (510) 573-2237

---

From: Leeyoung <[email-masked]>
Date: Mon, 19 Mar 2012 22:44:21 +0000

Hi Cyril,

Here's some further comment on your question. Please see in-line for my response.

Thanks.
Young

From: [email-masked] [mailto:[email-masked]] On Behalf Of Greg Bernstein
Sent: Monday, March 19, 2012 5:11 PM
To: [email-masked]
Subject: Re: [CCAMP] Comments on draft-ietf-ccamp-rwa-wson-encode-13

See response below, unfortunately these comments came after the draft update publication date.  The changes required are small if the WG concurs.
Greg B.
On 3/13/2012 1:22 PM, Margaria, Cyril (NSN - DE/Munich) wrote:

Hi,

--> C bit field appears redundant, seems that is was partially removed from the example in the appendix. It will be returned to "Reserved" block and appendix examples will be updated.

--> The encoding of section 4.2 will be enhanced to allow the input or output fields to be optional, unless there are WG objections.

--> True. We will add a note in the introduction on this and to all uses of wavelength set fields.

-->  We will add notes on the use of label set fields to all relevant section.

YOUNG>> We did not have time to update this draft. We have agreed previously to have one Modulation Type List and one FEC list per your suggestion. This will be updated in the revision,

YOUNG>> I agree with you. Can you provide the suggested encoding for this simplification?

Cyril Margaria

NWS DWDM RD

St.Martin-Str. 76

D-81541 München

Germany

Phone: +49-89-5159-16934

CCAMP mailing list

[email-masked]<mailto:[email-masked]>

--

---

From: "Margaria, Cyril (NSN - DE/Munich)" <[email-masked]>
Date: Tue, 27 Mar 2012 10:16:58 +0200

Hi, 

I am looking forward to the update, please also see inline.

Best regards / Mit freundlichen Grüßen

Cyril Margaria

From: [email-masked] [mailto:[email-masked]] On Behalf Of ext Leeyoung
Sent: Monday, March 19, 2012 11:44 PM
To: Greg Bernstein; [email-masked]
Subject: Re: [CCAMP] Comments on draft-ietf-ccamp-rwa-wson-encode-13

Hi Cyril,

Thanks.

Young

Hi, 

	 

	 

	 

	 

	 

 

YOUNG>> I agree with you. Can you provide the suggested encoding for this simplification?  
The proposed text can be as follow:
      0                   1                   2                   3
      0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |S|I|E|    Modulation ID        |          Length               |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

   Where S bit set to 1 indicates a standardized modulation format and
   S bit set to 0 indicates a vendor specific modulation format. The
   length is the length in bytes of the entire modulation type field.
 
   Where I bit set to 1 indicates it is an input modulation constraint and
   The E bit set to 1 indicates an output modulation constraint.
   The following I and E bit combination are defined    
     I  E 
      0  0 Invalid
1    0 Input modulation
      1  1 Input and output modulation 
0    1 Output modulation 

With this the input and input modulation are explicit and the only processing rule needed is parameter checking. (I=E=0).

---

From: Leeyoung <[email-masked]>
Date: Tue, 27 Mar 2012 08:23:16 +0000

Hi Cyril,

Your encoding sounds reasonable to me. Is this consistent with Pierre's encoding suggestion? If so, we can go ahead with the changes in the revision.

Thanks.
Young

From: Margaria, Cyril (NSN - DE/Munich) [mailto:[email-masked]]
Sent: Tuesday, March 27, 2012 3:17 AM
To: Leeyoung; Greg Bernstein; [email-masked]
Subject: RE: [CCAMP] Comments on draft-ietf-ccamp-rwa-wson-encode-13

Hi,

Hi Cyril,

Thanks.
Young

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Greg Bernstein
Sent: Monday, March 19, 2012 5:11 PM
To: [email-masked]<mailto:[email-masked]>
Subject: Re: [CCAMP] Comments on draft-ietf-ccamp-rwa-wson-encode-13

Hi,

      0                   1                   2                   3

     I  E

      0  0 Invalid

1    0 Input modulation

0    1 Output modulation

Cyril Margaria

NWS DWDM RD

St.Martin-Str. 76

D-81541 München

Germany

Phone: +49-89-5159-16934

CCAMP mailing list

--